Subject: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Alex <[email-masked]>
Date: Sat, 7 Mar 2009 23:08:11 +0100

On Fri, Mar 06, 2009 at 09:37:53PM +0800, Jason Rumney wrote:
> Alex wrote:
>>> I think that if people compile their .emacs they get what they ask for.
>>>     
>>
>> That's not very helpful.
>
> For you, perhaps not. But we have discussed this on emacs-devel numerous  
> times in the past, and every time it has been clear that different  
> people have different opinions. Many people consider lisp source to be  
> "work in progress" until they compile it, and do not want Emacs to load  
> it by default if there is a compiled version around. The compromise is  
> to issue a warning.
>
> If you have a problem remembering to compile your .emacs, then either  
> delete the .emacs.elc file and stop compiling it, or investigate one of  
> the solutions that people have come up with to compile it
automatically.

Typically it's pulling in a later version from an SCM that the warning
case trips up on, as the doesn't trip the compile-on-save hook that
most people use to auto compile .emacs.

As Emacs is a configurable editor would adding a variable to control
this behaviour be the way forward? A lot of people do run their
configs out of an SCM these days. Someone else suggested maybe being
able to use def advice to modify the behaviour which might make any
work-arounds less hacky but I'm not sure what this would entail for
the core code.

-- 
Alex, homepage: http://www.bennee.com/~alex/
Tax and title extra.